<!-- ---
description: >-
  Introducing HOPR Games, a community engagement strategy to showcase the usage
  of the HOPR Protocol, sponsored by the HOPR Association.
--- -->

# HOPR Games

In order to showcase the usage of the HOPR Protocol, the HOPR Association has created the **HOPR Games**, an interactive online games, bounties and experiments challenges meant to be accomplished using the HOPR Protocol.

![](../images/hopr_tweet.gif)

### Goals

The HOPR Games are meant to help grow and develop HOPR as a project by interacting with our community and learning about their experience with the product. The following are the goals the HOPR Association has in mind when organising HOPR Games sessions:

- **Teach and learn \(α\)**. We want to educate our community about HOPR, its technology and benefits. At the same time, we want to learn from the community about any drawbacks or challenges they encounter.
- **Media awareness \(β\).** We want to increase our reach and network connections by leveraging on social media platforms. We are looking to get HOPR exposed to multiple outlets as much as possible to increase our exposure.
- **Recruit members \(γ\).** We want to add new users to our community — from traders, developers, miners to curious-minded people. We are creating an environment where like-minded people can rally behind our goal and all benefit from our mission.
- **Enhance the project \(δ\).** We want to expand the functionality of the protocol, its applications and use cases around it. By listening to our users, we can find organic features which solve problems for both experienced and novice users.
- **Test protocol \(ε\).** We want to push the limits of our technology beyond our shared understanding of what it can and cannot do. To ensure HOPR can withstand a production load, we need to challenge it at every step.

### Activities

Activities are actions or events community members can participate in during HOPR Games to earn rewards from the HOPR Association. In exchange for completing an activity, a community member will be rewarded with native digital tokens \(e.g. xDAI\).

{% hint style="info" %}
We'll soon release the capability to issue non-transferable \$HOPR tokens as rewards to community members that complete some of our activities.
{% endhint %}

Activities are split into three categories: **bounties**, **games**, and **experiments**. Activities in each category help the HOPR Association to target specific individuals and achieve different goals:

#### Bounties

Bounties are **short-lived**, **asynchronous**, **specific** and have expected results. Bounties are **bi-weekly**, and use **eurogame**-like dynamics to be completed \(i.e., no direct competition, although there may be indirect competition in the form of time pressure or a limited prize fund\).

#### Games

Games are **short-lived**, **synchronous**, **open-ended** and can have unexpected results \(e.g. no winners might be an outcome of a game\). Games are **bi-weekly**, and use **amerigame**-like dynamics to be completed \(i.e., direct competition against other users\).

#### Experiments

Experiments are **long-lived**, **asynchronous**, **open-ended** and can have **unexpected** results. Experiments are **monthly** or **quarterly**, have little notice, and are meant to test our project.
