<!-- ---
description: >-
  A general introduction to the HOPR Games Bounties, our asynchronous challenges
  for people who want to earn tokens, test HOPR technology and learn about the
  HOPR network.
--- -->

# Bounties

### Introduction to HOPR Games Bounties

Bounties have been part of the blockchain ecosystem for years. In short, bounties are tasks that people complete for an economic reward, usually paid in tokens. Within the HOPR Games ecosystem, the idea is similar, but unlike normal Bounties, to engage in HOPR Games Bounties, all participants need to be able to run a **HOPR Node** to do so. Right now, the only way to run one is to download and install the latest version of **HOPR Chat**, which has an embedded **HOPR Node** and the ability to send messages to other **HOPR Nodes.**

{% hint style="info" %}
Although right now the only way to participate in the HOPR Games Bounties is to run **HOPR Chat,** in the future we'll provide additional ways to run a **HOPR Node.**
{% endhint %}

To get started with **HOPR Chat**, please visit our quick start \***\*page to download the **HOPR Chat** binary or follow our advanced setup to compile and run **HOPR Chat\*\* yourself.

{% page-ref page="../../getting-started/hopr-chat/quickstart.md" %}

{% page-ref page="../../getting-started/hopr-chat/setup.md" %}

### Social Media

Completing the HOPR Games bounties will always require you the following:

- Run a **HOPR Node** \(either via **HOPR Chat** or else\)
- Engage with HOPR‘s social media presence

Not only this will help us avoid Sybil Attacks \(i.e. bots or individuals just trying to solve the Bounties via spam attacks\), but also helps us showcase use-cases for the **HOPR Protocol** across social media.
