<!-- ---
description: >-
  A general introduction to the HOPR Games Bounties, our asynchronous challenges
  for people who want to earn tokens, test HOPR technology and learn about the
  HOPR network.
--- -->

# Bounties

## Introduction to HOPR Games Bounties

Bounties have been part of the blockchain ecosystem for years. In short, bounties are tasks that people complete for an economic reward, usually paid in tokens. Within the HOPR Games ecosystem, the idea is similar, but unlike normal Bounties, to engage in HOPR Games Bounties, all participants need to be able to run a **HOPR Node** to do so. Right now, the only way to run one is to download and install the latest version of **HOPR Chat**, which has an embedded **HOPR Node** and the ability to send messages to other **HOPR Nodes.**

{% hint style="info" %}
Although right now the only way to participate in the HOPR Games Bounties is to run **HOPR Chat,** in the future we'll provide additional ways to run a **HOPR Node.**
{% endhint %}

To get started with **HOPR Chat**, please visit our quick start \***\*page to download the** HOPR Chat **binary or follow our advanced setup to compile and run** HOPR Chat\*\* yourself.

{% page-ref page="../../../hopr-chat-tutorial/quickstart.md" %}

{% page-ref page="../../../hopr-chat-tutorial/setup.md" %}

## Social Media

Completing the HOPR Games bounties will always require you the following:

- Run a **HOPR Node** \(either via **HOPR Chat** or else\)
- Engage with HOPR‘s social media presence

Not only this will help us avoid Sybil Attacks \(i.e. bots or individuals just trying to solve the Bounties via spam attacks\), but also helps us showcase use-cases for the **HOPR Protocol** across social media.

{% hint style="info" %}
Depending on the bounty, we'll setup some requirements for your social media account and do some checks using the Twitter API.
{% endhint %}

## xDAI Rewards

To reward participants of the HOPR Games, we'll be using [xDAI](https://www.xdaichain.com/), a L2 Ethereum solution based on a stable-coin with [bridging](https://dai-bridge.poa.network/) to the Ethereum network via the [POA network](https://www.poa.network/). xDAI can be ported to the well-known DAI stablecoin, but with minimal costs compared to the Ethereum gas fees. You can use xDAI with Metamask over [https://xdai.io/](https://xdai.io/) by [changing Metamask's RPC network](https://www.xdaichain.com/for-users/wallets/metamask/metamask-setup), or even install the [Nifty](https://www.xdaichain.com/for-users/wallets/nifty-wallet) chrome-extension wallet as a Metamask alternative that works only on xDAI to avoid setup.

{% hint style="info" %}
There are a few things different on the xDAI network compared to vanilla Ethereum. In particular, transactions and address can be seen in [Blockscout](https://blockscout.com/poa/xdai/) instead of Etherscan, and you need to make sure you are on the right network before accessing applications that use xDAI.
{% endhint %}

Upon successfully complete a HOPR Games bounty, you will receive a URL with pre-paid funds for you to claim. The URL is created by [LinkDrop](https://linkdrop.io/), and looks similar to this:

![LinkDrop creates you a claimable link on your browser.](../../../images/image.png)

## Timeframes & Support

Bounties are usually launched on a **bi-weekly basis**, and we try to support multiple timezones whenever possible. All our bounties will be shared over our social media channels, and you can reach the HOPR Association team members via these same channels to get some support.

- Twitter - [https://twitter.com/hoprnet](https://twitter.com/hoprnet)
- Telegram - [https://t.me/hoprnet](https://t.me/hoprnet)
- Medium - [https://medium.com/hoprnet](https://medium.com/hoprnet)
- Reddit - [https://www.reddit.com/r/HOPR/](https://www.reddit.com/r/HOPR/)
- Email - [contact@hoprnet.org](mailto:contact@hoprnet.org)
- Discord - [https://discord.gg/5FWSfq7](https://discord.gg/5FWSfq7)
