<!-- ---
description: >-
  Instructions on how to fund your HOPR Chat account under Kovan network
  whenever its needed.
--- -->

# Funding account

## **Changelog**

{% hint style="warning" %}
Initial versions of **HOPR Chat** required your to always have Kovan gETH \(KETH\) and Kovan HOPR Tokens \(HOPR\) to use the application. Since version `>0.6.10` of **HOPR Core**, these requirements had been waived whenever **Multihop** is disabled, which is the default for the application. If you are following our **Quickstart,** you do no longer need to fund your account nor follow these instructions.
{% endhint %}

In case you are running a version of **HOPR Chat** that uses a minor version of **HOPR Core**, or you have the **Multihop** setting enabled \(disabled by default\), then please follow the next instructions on how to fund your **HOPR Chat** account.

{% hint style="info" %}
The version of **HOPR Core** used by **HOPR Chat** will show up in your screen as soon as you start **HOPR Chat**. Only versions under `0.6.10` will need funding to get started.
{% endhint %}

### Funding your HOPR Chat Account

Since **HOPR Chat** uses the [Ethereum](https://ethereum.org/) Payment Channels to transfer **HOPR Tokens** as an economic incentive for **HOPR** users, your **HOPR Chat** account requires gETH and **HOPR Tokens**. At the time of writing, **HOPR Chat** works in the Kovan network, so you need the equivalent currency which is free to request in [Kovan's](https://faucet.kovan.network/) and [HOPR](https://faucet.hoprnet.io/) Faucet websites. To request Kovan gETH tokens you will need to have a [GitHub](https://github.com/) account.

Copy your account from Step 3, and paste it in the following websites.

- Kovan Network Faucet - [https://faucet.kovan.network/](https://faucet.kovan.network/)
- HOPR Network Faucet - [https://faucet.hoprnet.io/](https://faucet.hoprnet.io/)

{% hint style="warning" %}
Kovan **HOPR Tokens** change depending on the contract used for your version of **HOPR Chat.** In case your account is not displayed your newly minted **HOPR Tokens**, ping us in [Telegram Chat](https://t.me/hoprnet) to provide you with some support.
{% endhint %}

**HOPR Chat** will not fully initialise until your account has been funded with some Kovan gETH and HOPR. After the tokens have landed in your account, you are ready to use **HOPR Chat.** Execute the same command shared in Step 3 to see the following screen.

![HOPR Chat will tell you its balance in Kovan gETH and HOPR tokens](../../images/running_hopr_chat_w_balance.gif)

Your **HOPR Chat** instance is ready to be used!
