<!-- ---
description: >-
  Learn about earning and redeeming tickets, which are generated by the HOPR
  proof-of-relay mechanism
--- -->

# Redeeming Tickets

The HOPR private mixnet is kept secure using proof-of-relay. This mechanism ensures that nodes do not receive payment until they have completed their relaying duties.

When you receive data to relay from an upstream node, it will be accompanied by half of an encrypted payment key. You will receive the second half when you relay the data to the next node in the chain. Once you have both halves of the payment key, they are automatically combined to form a **ticket**. These tickets can be redeemed for HOPR tokens \([**HOPR**](../core-concepts/HOPR-tokens.md) in our testnets\).

To seem how many tickets you currently have, type:

```text
tickets
```

To redeem your tickets, type:

```text
redeemTickets
```

This will redeem all of your tickets. The HOPR from these tickets will be added to your balance.

```eval_rst
.. WARNING::
   Redeeming tickets requires calling the HOPR smart contract, so can take some time. You will be notified as each ticket is redeemed.
```
