<!-- ---
description: An introduction to our Quality Assurance (QA) process within HOPR
--- -->

# Testing HOPR

Testing peer-to-peer technologies is often challenging. As the **HOPR Network** is distributed, software releases that the HOPR Association team releases might work in one part of the globe on a given configuration, but fail in another one under different network settings.

## Incentivized Network

To help us test HOPR, the HOPR Association team frequently runs **incentivized testnets**, where users from all over the world run **HOPR nodes** in exchange for the chance to earn rewards in the form of **HOPR tokens.** To participate, users must register with a Twitter account and stake a minimal amount of digital tokens in their **HOPR nodes** \(the precise token varies between testnets\)**.** After successful resgitration, users should keep their nodes online to relay **cover traffic** across the network, while submitting bugs, feedback and reports of abnormal network behaviour.

## Release Checklists

The HOPR Association team also produces release checklists, where we provide a performance breakdown of each version for basic tasks as executed by team members, ambassadors, and/or other members of the community. The goal is to provide a trail of features that have been proven to work at particular points in time, to avoid functional regressions which standard unit or integration tests cannot pick up. As these tests are conducted by different individuals in various settings, we can identify unexpected behaviour for every minor release.

{% embed url="https://docs.google.com/spreadsheets/d/1DJzgFshwWoZE6MEM916WIYYuSmzePaBPIZV0jlIQHU4/edit?usp=sharing" caption="" %}
