import { expect } from 'chai'
import BN from 'bn.js'
import Snapshot from './snapshot'

describe('Snapshot', function () {
  it('should be empty', function () {
    const snap = new Snapshot(undefined, {
      blockNumber: new BN(0),
      transactionIndex: new BN(0),
      logIndex: new BN(0)
    })

    expect(snap.blockNumber.toString()).to.equal('0')
    expect(snap.transactionIndex.toString()).to.equal('0')
    expect(snap.logIndex.toString()).to.equal('0')
  })

  it('should contain the right values', function () {
    const snap = new Snapshot(undefined, {
      blockNumber: new BN(1),
      transactionIndex: new BN(2),
      logIndex: new BN(3)
    })

    expect(snap.blockNumber.toString()).to.equal('1')
    expect(snap.transactionIndex.toString()).to.equal('2')
    expect(snap.logIndex.toString()).to.equal('3')
  })
})
